#include "DxLib.h"
#include "stagecontext.hpp"

void dungeonMake();
void dungeonDraw();

int WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	ChangeWindowMode(TRUE);
	if (DxLib_Init() != 0) return 0;
	SetDrawScreen(DX_SCREEN_BACK);

	int mouse_input_old;
	int mouse_input_new;
	mouse_input_old = GetMouseInput();

	dungeonMake();

	while (ProcessMessage() == 0 && ScreenFlip() == 0 && ClearDrawScreen() == 0)
	{
		/* }EXgĕǂ */
		mouse_input_new = GetMouseInput();
		if ((~mouse_input_old & mouse_input_new) & MOUSE_INPUT_LEFT) {
			int x, y;
			GetMousePoint(&x, &y);
			x /= 32; y /= 32;
			MapEvent e(MapEvent::Wall_Break);
			GetStageContext().makeMapEvent(x, y, e); /* Cxg */
			/* }bv̍W擾͖{ǗIuWFNgōsׂ */
		}
		mouse_input_old = mouse_input_new;

		dungeonDraw();
		DrawString(0, 256, "hbgNbN...", GetColor(255,255,255));
	}

	DxLib_End();
	return 0;
}
