#include "stagecontext.hpp"

class StageContext_impl : public StageContext
{
	std::shared_ptr<MapEventListener> listener;
public:
	void setMapEventListener(std::shared_ptr<MapEventListener> listener) {
		this->listener = listener;
	}
	void makeMapEvent(int x, int y, MapEvent e) {
		listener->ActionEvent(x, y, e);
	}
};

static StageContext_impl context;

StageContext &GetStageContext()
{
	return context;
}
