#include <memory>

class MapEvent
{
public:
	enum Kind {
		Wall_Break,
	} kind;
	MapEvent(MapEvent::Kind k)
	: kind(k) {}
};

class MapEventListener
{
public:
	virtual void ActionEvent(int x, int y, MapEvent e) = 0;
};

class StageContext
{
public:
	virtual void setMapEventListener(std::shared_ptr<MapEventListener> listener) = 0;
	virtual void makeMapEvent(int x, int y, MapEvent e) = 0;
};

StageContext &GetStageContext();
